package com.duben.microtribe.ui.widgets;

import android.app.Dialog;
import android.content.Context;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleRes;

import com.duben.microtribe.common.AppConfig;

/**
 * 描述：dialog屏幕适配
 * 作者：孟崔广
 * 时间：2017/10/10 17:51
 * 邮箱：mengcuiguang@cashbang.cn
 */
public abstract class BaseDialog extends Dialog {
    public BaseDialog(@NonNull Context context) {
        super(context);
    }

    public BaseDialog(@NonNull Context context, @StyleRes int themeResId) {
        super(context, themeResId);
    }

    protected BaseDialog(@NonNull Context context, boolean cancelable, @Nullable OnCancelListener cancelListener) {
        super(context, cancelable, cancelListener);
    }
}
